Bug 1442767 - [Ansible Tower] - Ansible Tower Jobs - relationships table wrong redirection to Parent Provider
Summary: [Ansible Tower] - Ansible Tower Jobs - relationships table wrong redirection ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: lgalis
QA Contact: Dmitry Misharov
URL:
Whiteboard: tower:ui
Depends On: 1435280
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-17 12:59 UTC by Satoe Imaishi
Modified: 2017-05-31 15:05 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1435280
Environment:
Last Closed: 2017-05-31 15:05:09 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-18 00:03:29 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/8133028c689e6c29854ce2de745f6bf44db3e5a4

commit 8133028c689e6c29854ce2de745f6bf44db3e5a4
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Apr 13 13:01:45 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 20:02:05 2017 -0400

    Merge pull request #1029 from lgalis/fix_textual_provider_svg_and_controller_for_ansible_job
    
    Fix the controller and svg in textual provider for Ansible Tower Jobs
    (cherry picked from commit a965a4fa00f2e384df3c924d0252bfa7408d0181)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442770
    https://bugzilla.redhat.com/show_bug.cgi?id=1442767

 app/helpers/configuration_job_helper/textual_summary.rb    |  4 ++--
 .../configuration_job_helper/textual_summary_spec.rb       | 14 ++++++++++++++
 2 files changed, 16 insertions(+), 2 deletions(-)
 create mode 100644 spec/helpers/configuration_job_helper/textual_summary_spec.rb

Comment 8 CFME Bot 2017-04-24 22:43:07 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d5eacd28127359d7bd220672d97748ca5807612e

commit d5eacd28127359d7bd220672d97748ca5807612e
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Apr 24 16:35:03 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 18:41:25 2017 -0400

    Merge pull request #1127 from lgalis/fix_link_to_parent_tower_provider_in_job_summary
    
    Fix links to parent provider from Job summary page
    (cherry picked from commit cb562dd482d3ed6bb6f2f25f54d9d34e79e4c712)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442767

 app/helpers/configuration_job_helper/textual_summary.rb       | 2 +-
 app/views/automation_manager/explorer.html.haml               | 4 ++--
 app/views/layouts/listnav/_configuration_job.html.haml        | 7 +++++--
 spec/helpers/configuration_job_helper/textual_summary_spec.rb | 2 +-
 4 files changed, 9 insertions(+), 6 deletions(-)

Comment 9 Dmitry Misharov 2017-05-04 07:15:54 UTC
Verified in 5.8.0.13-rc2.20170502165848_0f98658. Relationships table correctly redirects to Parent Provider.

Comment 11 errata-xmlrpc 2017-05-31 15:05:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.